This page is a translated version of the page Arch SectionPlane and the translation is 100% complete.

Arch SectionPlane.png Piano di sezione

Posizione nel menu
Arch → Piano di sezione
Ambiente
Architettura
Avvio veloce
S P
Vedere anche
Nessuno


Descrizione

Questo strumento posiziona nel documento corrente un attrezzo Piano di sezione, che definisce una sezione o un piano di vista. Il piano di sezione viene posizionato in funzione del corrente Piano di lavoro e può essere spostato e riorientato muovendolo e ruotandolo, fino a quando non riproduce la vista 2D che si vuole ottenere. L'oggetto Piano di sezione prende in considerazione solo un certo insieme di oggetti. Gli oggetti che sono selezionati quando si crea un piano di sezione sono aggiunti a queesto insieme automaticamente. Altri oggetti possono essere aggiunti o rimossi da un Piano di sezione anche in seguito con gli strumenti Aggiungi o Rimuovi, o facendo doppio clic sul Piano di sezione nella vista ad albero.

Il solo Piano di sezione non crea alcuna vista degli oggetti. Per ottenere le viste, è necessario creare un Disegno per creare una vista in una Pagina di disegno , e una Vista 2D per creare una vista nel documento 3D stesso, o una Vista TechDraw di Arch per creare una vista in una Pagina di TechDraw.

Arch SectionPlane example.jpg

Utilizzo

  1. Opzionalmente, impostare il Piano di lavoro per riflettere il piano in cui si desidera posizionare il piano di sezione
  2. Selezionare gli oggetti da includere nella sezione
  3. Premere il pulsante Arch SectionPlane.png Piano di sezione, oppure premere i tasti S e P
  4. Spostare o ruotare il piano di sezione nella posizione corretta, se necessario
  5. Selezionare il piano di sezione se non è già stato selezionato
  6. Usare Vista disegno di Drawing, Vista 2D di Draft o Vista TechDraw di Arch per creare la vista

Opzioni

  • L'oggetto Piano di sezione prende in considerazione solo un certo insieme di oggetti, non tutti gli oggetti del documento. Gli oggetti possono essere aggiunti o rimossi da un oggetto Piano di sezione utilizzando gli strumenti Aggiungi e Rimuovi, o facendo doppio clic sul Piano di sezione nella vista ad albero, e poi selezionando gli oggetti sia nella lista che nella scena 3D, e premendo il tasto aggiungi o rimuovi.
  • Con un oggetto piano di sezione selezionato, utilizzare lo strumento Vista 2D per creare nel documento un oggetto che rappresenta la vista di sezione

Arch Section example2.jpg

Arch Section example3.jpg

  • Il Piano di sezione può anche essere usato per mostrare l'intera vista 3D tagliata da un piano infinito. Questo è solo visivo, e non influenza la geometria degli oggetti da tagliare.

Arch SectionPlane CutView.jpg

Proprietà

  • DATAOnly Solids: Se questo è vero, gli oggetti non solidi vengono ignorati
  • VIEWDisplay Length: La lunghezza della sezione piana gizmo nella vista 3D. Non influisce sulla vista risultante
  • VIEWDisplay Height: L'altezza della sezione piana gizmo nella vista 3D. Non influisce sulla vista risultante
  • VIEWArrow Size: La dimensione delle frecce del piano di sezione gizmo nella vista 3D. Non influisce sulla vista risultante
  • VIEWCut View: Se questo è vero, l'intera vista 3D viene tagliata in corrispondenza di tale piano di sezione (sperimentale).

Script

Lo strumento Piano di sezione può essere utilizzato nelle macro e dalla console python utilizzando la seguente funzione:

makeSectionPlane ([objectslist]) 
Crea un piano di sezione che include gli oggetti della lista fornita

Esempio:

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall]) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎svenska • ‎українська